package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * Interference data, the data refer to the interference intensity and the times of interferences, and they are used to create histograms.
 */
@ApiModel(description = "Interference data, the data refer to the interference intensity and the times of interferences, and they are used to create histograms.")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class InterferenceDataEntity   {
  @JsonProperty("str")
  @Valid
  private List<Integer> str = null;

  @JsonProperty("cnt")
  @Valid
  private List<Integer> cnt = null;

  public InterferenceDataEntity str(List<Integer> str) {
    this.str = str;
    return this;
  }

  public InterferenceDataEntity addStrItem(Integer strItem) {
    if (this.str == null) {
      this.str = new ArrayList<>();
    }
    this.str.add(strItem);
    return this;
  }

  /**
   * Interference strength, range [-91, -89, -87, …., -33, -31, -29] (up to 32 strength levels), for example: -91 means the range is -92-90.
   * @return str
  */
  @ApiModelProperty(value = "Interference strength, range [-91, -89, -87, …., -33, -31, -29] (up to 32 strength levels), for example: -91 means the range is -92-90.")


  public List<Integer> getStr() {
    return str;
  }

  public void setStr(List<Integer> str) {
    this.str = str;
  }

  public InterferenceDataEntity cnt(List<Integer> cnt) {
    this.cnt = cnt;
    return this;
  }

  public InterferenceDataEntity addCntItem(Integer cntItem) {
    if (this.cnt == null) {
      this.cnt = new ArrayList<>();
    }
    this.cnt.add(cntItem);
    return this;
  }

  /**
   * interference counts, range [0, 200]
   * @return cnt
  */
  @ApiModelProperty(value = "interference counts, range [0, 200]")


  public List<Integer> getCnt() {
    return cnt;
  }

  public void setCnt(List<Integer> cnt) {
    this.cnt = cnt;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    InterferenceDataEntity interferenceDataEntity = (InterferenceDataEntity) o;
    return Objects.equals(this.str, interferenceDataEntity.str) &&
        Objects.equals(this.cnt, interferenceDataEntity.cnt);
  }

  @Override
  public int hashCode() {
    return Objects.hash(str, cnt);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class InterferenceDataEntity {\n");
    
    sb.append("    str: ").append(toIndentedString(str)).append("\n");
    sb.append("    cnt: ").append(toIndentedString(cnt)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

